package com.xydl.schedule;


import com.xydl.service.impl.MqttServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


@Component
@Slf4j
public class ReportSchedule {
    @Autowired
    MqttServiceImpl mqttServiceimpl;

    @Scheduled(initialDelay = 1000, fixedRate = 1000 * 3600) //通过@Scheduled声明该方法是计划任务，使用fixedRate属性每隔固定时间执行
    public void reportRecord() {
        log.info("运行定时转发任务");
        mqttServiceimpl.reportRecord();

    }

}
